Appearance
did:ebsi Execute Operations
This page explains the execute() operation with the did:ebsi method. See https://identity.foundation/did-registration/#execute for more information about the protocol.
execute()
operation: issueOnboardingVC
Request
bash
curl -X POST "https://api.godiddy.com/1.0.0/universal-registrar/execute" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Content-Type: application/json" \
-d '{
"did": "did:ebsi:zjUnExsyyweQ9p4cy3nvrVc",
"options": { },
"secret": { },
"operation": ["issueOnboardingVC"],
"operationData": [ { } ]
}'1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
Using CLI:
bash
# -c for client-managed secret mode, -i for interactive
godiddy-cli execute -d did:ebsi:zjUnExsyyweQ9p4cy3nvrVc --op issueOnboardingVC1
2
2
Response
json
{
"didState": {
"state": "finished"
},
"operationResult": [ {
"VerifiableAuthorisationToOnboard": "eyJhbGc..."
} ]
}1
2
3
4
5
6
7
8
2
3
4
5
6
7
8
operation: inviteForTrustRole
Request
bash
curl -X POST "https://api.godiddy.com/1.0.0/universal-registrar/execute" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Content-Type: application/json" \
-d '{
"did": "did:ebsi:zjUnExsyyweQ9p4cy3nvrVc",
"options": { },
"secret": { },
"operation": ["inviteForTrustRole"],
"operationData": [ {
"trustRoleDid":"did:ebsi:zxiEnXSv143oUPQ8JypTPw5",
"trustRoleType":"TI"
} ]
}'1
2
3
4
5
6
7
8
9
10
11
12
13
2
3
4
5
6
7
8
9
10
11
12
13
Using CLI:
bash
# -c for client-managed secret mode, -i for interactive
godiddy-cli execute -d did:ebsi:zjUnExsyyweQ9p4cy3nvrVc --op inviteForTrustRole --opdata trustRoleDid=did:ebsi:zxiEnXSv143oUPQ8JypTPw5 --opdata trustRoleType=TI1
2
2
Response
json
{
"didState": {
"state": "finished"
},
"operationResult": [ {
"VerifiableAccreditationToAttest": "eyJhbGc..."
} ],
"didDocumentMetadata": {
...
}
}1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
operation: acceptTrustRole
Request
bash
curl -X POST "https://api.godiddy.com/1.0.0/universal-registrar/execute" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Content-Type: application/json" \
-d '{
"did": "did:ebsi:zxiEnXSv143oUPQ8JypTPw5",
"options": { },
"secret": {
"VerifiableAccreditationToAccredit": "eyJhbGc..."
},
"operation": ["acceptTrustRole"],
"operationData": [ { } ]
}'1
2
3
4
5
6
7
8
9
10
11
12
2
3
4
5
6
7
8
9
10
11
12
Using CLI:
bash
# -c for client-managed secret mode, -i for interactive
godiddy-cli execute -d did:ebsi:zxiEnXSv143oUPQ8JypTPw5 -c --op=acceptTrustRole -s VerifiableAccreditationToAccredit=eyJhbGc...1
2
2
Response
json
{
"didState": {
"state": "finished"
},
"operationResult": [ { } ],
"didDocumentMetadata": {
...
}
}1
2
3
4
5
6
7
8
9
2
3
4
5
6
7
8
9